Skip to main content
GET
/
v5
/
mileage
/
mileages
Get mileages
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/mileage/mileages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "distance": 123,
      "id": 123,
      "distanceType": "MILE",
      "status": "ACTIVE",
      "type": "PENDING",
      "date": "2023-11-07T05:31:56Z",
      "deductionAmount": 123,
      "businessId": 123,
      "clientId": 123,
      "duration": 123,
      "description": "<string>",
      "startLat": 123,
      "startLong": 123,
      "endLat": 123,
      "endLong": 123,
      "startTime": "2023-11-07T05:31:56Z",
      "customData": {}
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records modified after the specified date

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

year
integer<int32>

Year filter (YYYY) - returns all records for the specified year. Null will return all mileages.

type
enum<string>[]

Type filter - returns all mileages for the specified types. Null or empty list will default to PENDING, BUSINESS, & NOT_BUSINESS.

Available options:
PENDING,
NOT_BUSINESS,
BUSINESS
status
enum<string>[]

Status filter - returns all mileages for the specified statuses. Null or empty list will default to ACTIVE.

Available options:
ACTIVE,
INACTIVE

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate